@import '~@angular/material/theming';

@include mat-core();
$custom-theme-primary: mat-palette($mat-light-blue, 700);
$custom-theme-accent:mat-palette($mat-green, A700, A100, A400);
$custom-theme-warn: mat-palette($mat-red);
$custom-theme: mat-light-theme($custom-theme-primary, $custom-theme-accent, $custom-theme-warn);
@include angular-material-theme($custom-theme);


.mat-button,
.mat-raised-button {
  @include desktop-only {
    line-height: 4.2rem !important;
  }
  &.mat-accent {
    color: $color-white;
  }
}

// Snack bar
.app-snackbar {
  &.mat-snack-bar-container {
    background: $color-white !important;
    padding: $base-vert-padd $base-horiz-padd !important;
    text-align: center;
  }
  &--message {
    color:  $color-blue;
    flex-grow: 1;
    align-content: center;
    font: {
      family: $font-primary;
      size: $font-size-main;
      weight: $font-weight;
    }
    word-break: break-all;
  }
}
